com.sun.jna.internal

## Class Cleaner

- java.lang.Object
- - com.sun.jna.internal.Cleaner

-     public class Cleaner
      extends java.lang.Object

  Implement ReferenceQueue based cleanup of resources associated with GCed objects. It replaces the `Object#finalize` based resource deallocation that is deprecated for removal from the JDK.

  This class is intented to be used only be JNA itself.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Cleaner.Cleanable`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Cleaner` | `getCleaner()`
    `Cleaner.Cleanable` | `register(java.lang.Object obj, java.lang.Runnable cleanupTask)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCleaner

          public static Cleaner getCleaner()

    - #### register

          public Cleaner.Cleanable register(java.lang.Object obj,
                                            java.lang.Runnable cleanupTask)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.